> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-2B Regeneration Status

> Get status of the GSTR-2B regeneration.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-2b/gstr_2b_regeneration_status.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2b/regenerate
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-2b/regenerate:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-2B Document
      summary: GSTR-2B Regeneration Status
      description: API to get the status of GSTR-2B regeneration from GST Network.
      operationId: fetchGstr2bRegenerationStatus
      parameters:
        - name: reference_id
          in: query
          description: Reference id received from Regenerate GSTR-2B API
          required: true
          schema:
            type: string
            example: '{{reference_id}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: IMS0008 No records found / 200 2B regenerated
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          err_cd:
                            type: string
                            example: ''
                          err_msg:
                            type: string
                            example: ''
                          status_cd:
                            type: string
                            example: P
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: IMS0008
                          message:
                            type: string
                            example: >-
                              No records found for requested internal
                              transaction Id
                      status_cd:
                        type: string
                        example: '0'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 60269ae4-6513-4f73-9dc0-8314657a8bdd
              examples:
                200 2B regenerated:
                  summary: 200 2B regenerated
                  value:
                    code: 200
                    data:
                      data:
                        err_cd: ''
                        err_msg: ''
                        status_cd: P
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: a09371de-fc91-466b-80fd-d85430583ee2
                IMS0008 No records found:
                  summary: IMS0008 No records found
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: IMS0008
                        message: No records found for requested internal transaction Id
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: 60269ae4-6513-4f73-9dc0-8314657a8bdd
          headers: {}
      deprecated: false
      security: []

````